For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • POSTTrigger an immediate IMAP poll
      • POSTStart IMAP polling
      • GETGet IMAP polling status
      • POSTStop IMAP polling
      • POSTSend a test email via SMTP
      • POSTVerify IMAP + SMTP connection
Dashboard
LogoLogo
Runtype APIEmail IMAP

Verify IMAP + SMTP connection

POST
/v1/messaging/imap/:surfaceId/verify
POST
/v1/messaging/imap/:surfaceId/verify
$curl -X POST https://api.runtype.com/v1/messaging/imap/surfaceId/verify \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "imapHost": "imap.mailprovider.com",
> "imapPassword": "SecurePass123!",
> "imapPort": 993,
> "imapUsername": "user@example.com",
> "smtpHost": "smtp.mailprovider.com",
> "smtpPassword": "SecurePass123!",
> "smtpPort": 587,
> "smtpUsername": "user@example.com"
>}'
1{
2 "imap": {
3 "success": true,
4 "error": ""
5 },
6 "smtp": {
7 "success": true,
8 "error": ""
9 }
10}
Tests IMAP and SMTP connectivity for an email surface using the supplied credentials.
Was this page helpful?
Previous

Validate Slack bot token (deprecated)

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

surfaceIdstringRequired

Request

This endpoint expects an object.
imapHoststringRequired>=1 character
imapPasswordstringRequired>=1 character
imapPortintegerRequired1-65535
imapUsernamestringRequired>=1 character
smtpHoststringRequired>=1 character
smtpPasswordstringRequired>=1 character
smtpPortintegerRequired1-65535
smtpUsernamestringRequired>=1 character
imapSecurebooleanOptional
mailboxstringOptional
pollIntervalMinutesintegerOptional1-60
smtpSecurebooleanOptional

Response

Verification results for IMAP and SMTP
imapobject
smtpobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error